searchData={"items":[{"type":"module","title":"GoogleApi.FirebaseML.V1","doc":"API client metadata for GoogleApi.FirebaseML.V1.","ref":"GoogleApi.FirebaseML.V1.html"},{"type":"function","title":"GoogleApi.FirebaseML.V1.discovery_revision/0","doc":"","ref":"GoogleApi.FirebaseML.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseML.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.FirebaseML.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseML.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_delete/4","doc":"*   `{:ok, %GoogleApi.FirebaseML.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.FirebaseML.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseML.V1.Api.Operations.firebaseml_operations_list/4","doc":"*   `{:ok, %GoogleApi.FirebaseML.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.FirebaseML.V1.Api.Operations.html#firebaseml_operations_list/4-returns"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Connection","doc":"Handle Tesla connections for GoogleApi.FirebaseML.V1.","ref":"GoogleApi.FirebaseML.V1.Connection.html"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.FirebaseML.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.FirebaseML.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.FirebaseML.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.FirebaseML.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.FirebaseML.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseML.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.FirebaseML.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.FirebaseML.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.FirebaseML.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.FirebaseML.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.FirebaseML.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseML.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseML.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseML.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseML.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseML.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.FirebaseML.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.FirebaseML.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.FirebaseML.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.FirebaseML.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.FirebaseML.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.FirebaseML.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.FirebaseML.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.FirebaseML.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Connection.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseML.V1.Model.CancelOperationRequest","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.CancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.FirebaseML.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseML.V1.Model.Empty","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseML.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseML.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.FirebaseML.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata","doc":"This is returned in the longrunning operations for create/update.","ref":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata","doc":"*   `basicOperationStatus` (*type:* `String.t`, *default:* `nil`) - \n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the model we are creating/updating The name must have the form `projects/{project_id}/models/{model_id}`","ref":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.ModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.FirebaseML.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseML.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.FirebaseML.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.FirebaseML.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseML.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.FirebaseML.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.FirebaseML.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.FirebaseML.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.FirebaseML.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.FirebaseML.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.FirebaseML.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.FirebaseML.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.FirebaseML.V1.Model.Status.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}